Bug 201811 - Code assistance unabled to parse boost::tr1::shared_ptr references
Code assistance unabled to parse boost::tr1::shared_ptr references
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
7.1
PC Linux
: P2 (vote)
: 7.1
Assigned To: nnnnnk
issues@cnd
CR_7082062, 701patch2-verified, elif
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-08 12:24 UTC by nnnnnk
Modified: 2011-09-30 09:25 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nnnnnk 2011-09-08 12:24:30 UTC
From CR 7082062.

Sample:
#include <tr1/memory.hpp>

struct X { int n; };

struct Wrapper
{
  X* p;

  Wrapper( X* p ) : p(p) {}
  ~Wrapper() { delete p; }
  X* operator->() { return p; }
};

int
f()
{
  std::tr1::shared_ptr<X> x(new X);

  int n = x->n;

  Wrapper w(new X);

  n = w->n;

  return 0;
}
Comment 1 Vladimir Voskresensky 2011-09-09 14:30:51 UTC
patch candidates are P2s
Comment 2 nnnnnk 2011-09-12 10:36:42 UTC
fixed in cnd-main:
http://hg.netbeans.org/cnd-main/rev/4d45e7c87058
Comment 3 Vladimir Voskresensky 2011-09-12 11:08:53 UTC
I reviewed the fix. It is safe and correct
Comment 4 nnnnnk 2011-09-14 12:02:22 UTC
transplanted to releases_elif_blacktie/release701_fixes
changeset: 204868:545daba7e2ee
Comment 5 Vladimir Voskresensky 2011-09-16 11:39:00 UTC
correct respository:
releases_elif/rev/2c98fe7d46a2
Comment 6 dnikitin 2011-09-22 11:41:21 UTC
verified in Build oss-platform-build-59-on-20110916

the example is parsed w/o any errors in build59 and build66,
but codecompletion stops working in build66, see bug202486
Comment 7 dnikitin 2011-09-30 09:25:32 UTC
verified in patch2 (NetBeans IDE 7.0.1 (Build 201109292036))


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo